org.apache.lucene.codecs.mocksep

## Class MockSingleIntIndexInput.Reader

- java.lang.Object
- - org.apache.lucene.codecs.sep.IntIndexInput.Reader
  - - org.apache.lucene.codecs.mocksep.MockSingleIntIndexInput.Reader

- Enclosing class:
    MockSingleIntIndexInput

      public static class MockSingleIntIndexInput.Reader
      extends IntIndexInput.Reader

  Just reads a vInt directly from the file.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MockSingleIntIndexInput.Reader(IndexInput in)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `next()` Reads next single int

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MockSingleIntIndexInput.Reader

          public MockSingleIntIndexInput.Reader(IndexInput in)

  - ### Method Detail

    - #### next

          public int next()
                   throws IOException

      Reads next single int
      Specified by:
        `next` in class `IntIndexInput.Reader`
      Throws:
        `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.